<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class AuthNotLoginMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $login = session()->get("login");
        if(isset($login)) {
            return redirect()->to("dashboard/analytics");
        }
        return $next($request);
    }
}
